%define name fastdb
%define version 2.41
%define release 1


Summary: Main Memory Object-Relational Database Management System
Name: %{name}
Version: %{version}
Release: %{release}
Source: %{name}-%{version}.tar.gz
Patch: %{name}.patch
License: distributable
URL: http://www.ispras.ru/~knizhnik/fastdb.html
Group: Applications/Databases
Buildroot: %{_tmppath}/%{name}-%{version}-buildroot
Vendor: none


%description

FastDB is highly efficient main memory database system with realtime
capabilities and convenient C++ interface written by Knizhnik. High
speed of query execution is provided by elimination of data transfer
overhead and very effective locking implementation. Database file is
mapped to virtual memory space of each application working with
database. So query is executed in the context of application,
requiring no context switching and data transfer.

Examples are in the /usr/share/doc/fastdb-%{version} directory.

%prep
rm -rf $RPM_BUILD_ROOT
%setup -n fastdb
%patch -p1

%build
PREFIX=$RPM_BUILD_ROOT/usr make

%install
PREFIX=$RPM_BUILD_ROOT/usr make install

EXAMPLES_DIR=examples
mkdir -p ${EXAMPLES_DIR}
mv bugdb.cpp bugdb.h buglogin.htm ${EXAMPLES_DIR}
mv clidb.cpp clidb.h clilogin.htm clitest.c clitest.sql ${EXAMPLES_DIR}
mv guess.cpp guess2.cpp guess_std.cpp testdb.cpp ${EXAMPLES_DIR}
mv testddl.cpp testddl.sql testidx.cpp testiref.cpp ${EXAMPLES_DIR}
mv testjoin.cpp testleak.cpp testperf.cpp ${EXAMPLES_DIR}
mv testraw.cpp testsync.cpp ${EXAMPLES_DIR}
#cp testtrav.cpp ${EXAMPLES_DIR}

%files
%defattr(-,root,root)
%doc CHANGES FastDB.htm examples 
%{_bindir}/*
%{_includedir}/fastdb/*
%{_libdir}/*



%changelog

* Sun Nov 10 2002 Giovanni Ferro <gferro@sdf-eu.org>  2.41-1
- first rpm build
